package de.steamwar

import com.github.ajalt.clikt.core.main
import com.github.ajalt.clikt.core.subcommands
import de.steamwar.commands.SteamWar
import de.steamwar.commands.database.DatabaseCommand
import de.steamwar.commands.database.InfoCommand
import de.steamwar.commands.database.ResetCommand
import de.steamwar.commands.dev.DevCommand
import de.steamwar.commands.profiler.ProfilerCommand
import de.steamwar.commands.user.UserCommand
import de.steamwar.commands.user.UserInfoCommand
import de.steamwar.commands.user.UserSearchCommand

fun main(args: Array<String>) =
    SteamWar()
        .subcommands(
            DatabaseCommand().subcommands(InfoCommand(), ResetCommand()),
            UserCommand().subcommands(UserInfoCommand(), UserSearchCommand()),
            DevCommand(),
            ProfilerCommand()
        )
        .main(args)